RUDOF(SHACL-VALIDATE)

NAME
rudof shacl-validate - Validate RDF data using SHACL shapes

SYNOPSIS
rudof shacl-validate [OPTIONS] [DATA]...

DESCRIPTION
Validate RDF data using SHACL shapes

  Arguments:

    [DATA]...

OPTIONS

-t, --data-format <FORMAT>

    RDF Data format

    [default: turtle] [possible values: turtle, ntriples, rdfxml, trig, n3, nquads, jsonld, pg]

--base-data <IRI>

    Base IRI (used to resolve relative IRIs in RDF data)

--reader-mode <MODE>

    RDF Reader mode

    [default: strict] [possible values: lax, strict]

-s, --shapes <INPUT>

    Shapes graph: file, URI or -, if not set, it assumes the shapes come from the data

-f, --shapes-format <FORMAT>

    Shapes file format

    [possible values: internal, turtle, ntriples, rdfxml, trig, n3, nquads, jsonld]

--base-shapes <IRI>

    Base IRI (used to resolve relative IRIs in Shapes)

-e, --endpoint <ENDPOINT>

    Endpoint with RDF data (URL or name)

-m, --mode <MODE>

    Execution mode

    Possible values: - native: Rust native engine using functions implemented with Rust native code - sparql: SPARQL-based engine using SPARQL queries to validate the data

    [default: native]

-r, --result-format <FORMAT>

    Ouput result format

    [default: details] [possible values: details, turtle, ntriples, rdfxml, trig, n3, nquads, minimal, compact, json, csv]

--sort_by <SORT_MODE>

    Sort result by

    [default: severity] [possible values: severity, node, component, value, path, sourceshape, details]

-o, --output-file <FILE>

    Output file name, default = terminal

--force-overwrite

    Force overwrite to output file if it already exists

-c, --config-file <FILE>

    Config file name

-h, --help

    Print help (see a summary with '-h')